Last Comment Bug 638758 - reformats the text displayed or corrupts the text
: reformats the text displayed or corrupts the text
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Layout (show other bugs)
: unspecified
: PowerPC Mac OS X
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
http://robertdell.dyndns.org/sites/un...
Depends on: 263359
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-04 06:32 PST by robert dell
Modified: 2011-07-02 21:24 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
this is the page that displays badly (519.99 KB, text/html)
2011-03-04 06:39 PST, robert dell
no flags Details
css sheet for the unicode test (14.11 KB, text/css)
2011-03-04 06:41 PST, robert dell
no flags Details

Description robert dell 2011-03-04 06:32:24 PST
User-Agent:       Mozilla/5.0 (Macintosh; U; PPC Mac OS X 10.4; en-US; rv:1.9.1.17) Gecko/20110123 SeaMonkey/2.0.12
Build Identifier: Mozilla/5.0 (Macintosh; U; PPC Mac OS X 10.4; en-US; rv:1.9.1.17) Gecko/20110123 SeaMonkey/2.0.12

starting on line 1425, it starts reversing the text and towards the end, it starts to get completely corrupted in this 10,000 line test.

Reproducible: Always

Steps to Reproduce:
1.go to the web page
2.wait 10 seconds for the page to render
3.scroll down
Actual Results:  
starting at line 1425, it starts scrambling the lines in the text in a haphazard way

Expected Results:  
I expected everything to be in the order served by the web server

the page HTML will be submitted along with its css sheet
Comment 1 robert dell 2011-03-04 06:39:19 PST
Created attachment 516872 [details]
this is the page that displays badly

this file is usually parsed with the apache web server but the complete file is being submitted for you.
Comment 2 robert dell 2011-03-04 06:41:07 PST
Created attachment 516873 [details]
css sheet for the unicode test

this is the css sheet for the unicode-test html for this bug
Comment 3 Jonathan Kew (:jfkthame) 2011-03-04 08:27:13 PST
It's not clear to me that there's a layout bug here: You have characters in the document that have right-to-left directionality (see the Unicode standard), along with lots of neutral-direction characters that "adopt" the direction of the strongly-directional characters around them, so parts of the text getting "reversed" is expected. (And note that &#8238; is the Right-to-Left Override character, which imposes R-L directionality on _all_ the following characters within your <pre> element, as there's no matching Pop.)
Comment 4 Philip Chee 2011-03-05 08:12:35 PST
SeaMonkey 2.0.x is in maintenance mode, only security and stability fixes are allowed on this branch. Please retest with either SeaMonkey 2.1b2 or Firefox 4.0b12.
Comment 5 Simon Montagu :smontagu 2011-07-02 21:24:00 PDT
Some influence on neutral characters by directional characters is expected, but it shouldn't extend beyond the end of the line within a <pre>.

This is fixed on trunk by bug 263359.

Note You need to log in before you can comment on or make changes to this bug.